#!/bin/sh

set -eu

[[ range $default, $service := .services ]]

if [ "[[ $default ]]" != "[[ $service ]]" ]; then
  for DIR in vault consul nomad; do
    if [ -d output/${DIR} ]; then
      for FILE in $(find output/${DIR} -name "*[[ $default ]]*[[ $.ctx.consul.suffix ]].hcl" -type f); do
        NEW_FILE=$(echo "${FILE}" | sed -E "s/[[ $default ]]/[[ $service ]]/g")
        mv "${FILE}" "${NEW_FILE}"
      done
    fi
  done
fi

[[ end ]]
