[[- /*
# vim: syntax=hcl
# Note: for compatibility, we take resources either from .resources (when passing the whole context to the template)
# or from . (when only .resources is passed as context)
*/ -]]
[[- $resources := dict ]]
[[- if and (has . "resources") (isKind "map" .resources) ]]
  [[- $resources = .resources ]]
[[- else ]]
  [[- $resources = . ]]
[[- end ]]
      resources {
        cpu    = [[ $resources.cpu ]]
        memory = [[ $resources.memory ]]
[[- if and (has $resources "memory_max") (gt $resources.memory_max $resources.memory) ]]
        memory_max = [[ $resources.memory_max ]]
[[- end ]]
      }
