#!/bin/sh

set -euo pipefail

umask 077
mkdir -p ${CONF_DIR}
for FILE in /config/templates/*; do
  DEST=${CONF_DIR}/$(basename ${FILE})
  echo "Rendering ${FILE} in ${DEST}"
  envsubst < ${FILE} > ${DEST}
done

mkdir -p /data/sessions /data/tmp /data/app
