
vault write [[ .vault.root ]]database/roles/[[ .instance ]] \
    db_name="mariadb" \
    creation_statements="CREATE USER '{{name}}'@'%' IDENTIFIED BY '{{password}}'; \
        GRANT ALL PRIVILEGES ON [[ .mysql.database ]].* TO '{{name}}'@'%'; \
        FLUSH PRIVILEGES;" \
    default_ttl="[[ .vault.database.ttl ]]" \
    max_ttl="[[ .vault.database.max_ttl ]]"
